%global momorel 5
%global srcver 0.22

Summary:	Sub-Uplevel module for perl 
Name:		perl-Sub-Uplevel
Version:	%{srcver}00
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Sub-Uplevel-%{srcver}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Sub/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 1:5.8.8
BuildRequires:	perl-Module-Build
Requires:	perl >= 1:5.8.8
BuildArch:	noarch

%description
Sub-Uplevel module for perl

%prep
%setup -q -n Sub-Uplevel-%{srcver} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Sub-Uplevel-%{version}-filelist
if [ "$(cat Sub-Uplevel-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Sub-Uplevel-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2200-5m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2200-4m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2200-3m)
- rebuild against perl-5.12.0

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2200-2m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Thu Nov 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2200-1m)
- update to 0.22

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2002-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2002-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2002-2m)
- rebuild against rpm-4.6

* Fri Sep 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2002-1m)
- update to 0.2002

* Wed Sep 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2001-1m)
- update to 0.2001

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1901-1m)
- update to 0.1901

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.18-2m)
- rebuild against gcc43

* Mon Dec  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.18-1m)
- update to 0.18

* Wed Sep  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.16-1m)
- update to 0.16
- do not use %%NoSource macro
- adjust BuildRequires and BuildRequiresuires and Requires

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.14-2m)
- use vendor

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.prg>
- (0.14-1m)
- update to 0.14

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.13-1m)
- spec file was autogenerated
